#include <iostream>
#include <iomanip>
#include <cmath>
#include <algorithm>
using namespace std;
string X, Y;
int main(){
  cin >> X  >> Y; 
int sizex = X.size();
int sizey = Y.size();
char a, b, c, d, e, f, g, h, i, j;
    if (sizex == sizey){
      if(X[0] > Y[0] )
          a = X[0];
        else
           a = Y[0];
        if(X[1] > Y[1])
          b = X[1];
        else
           b = Y[1];
        if(X[2] > Y[2])
          c = X[2];
        else
           c = Y[2];
        if(X[3] > Y[3])
          d = X[3];
        else
           d = Y[3];
        if(X[4] > Y[4])
          e = X[4];
        else
           e = Y[4];
        if(X[5] > Y[5])
          f= X[5];
        else
           f = Y[5];
        if(X[6] > Y[6])
          g = X[6];
        else
           g = Y[6];
        if(X[7] > Y[7])
          h = X[7];
        else
           h = Y[7];
        if(X[8] > Y[8])
          i = X[8];
        else
           i = Y[8];
        if(X[9] > Y[9])
          j = X[9];
        else
           j = Y[9];
        
    cout<<a<<b<<c<<d<<e<<f<<g<<h<<i<<j<<endl;    
    }
    else if (sizex > sizey){
        
        
        
        
        
        
    }
    
    
    
    
    return 0;
}